ChangeSet 1.2014.1.19, 2004/11/08 16:38:32-08:00, greg@kroah.com

I2C: delete normal_i2c_range logic from sensors as there are no more users.


 drivers/i2c/i2c-sensor-detect.c |   12 +-----------
 include/linux/i2c-sensor.h      |    6 ------
 2 files changed, 1 insertion(+), 17 deletions(-)


diff -Nru a/drivers/i2c/i2c-sensor-detect.c b/drivers/i2c/i2c-sensor-detect.c
--- a/drivers/i2c/i2c-sensor-detect.c	2004-11-08 18:54:49 -08:00
+++ b/drivers/i2c/i2c-sensor-detect.c	2004-11-08 18:54:49 -08:00
@@ -45,7 +45,6 @@
 	int adapter_id =
 	    is_isa ? ANY_I2C_ISA_BUS : i2c_adapter_id(adapter);
 	unsigned short *normal_i2c;
-	unsigned short *normal_i2c_range;
 	unsigned int *normal_isa;
 	unsigned short *probe;
 	unsigned short *ignore;
@@ -56,12 +55,10 @@
 		return -1;
 	
 	/* Use default "empty" list if the adapter doesn't specify any */
-	normal_i2c = normal_i2c_range = probe = ignore = empty;
+	normal_i2c = probe = ignore = empty;
 	normal_isa = empty_isa;
 	if (address_data->normal_i2c)
 		normal_i2c = address_data->normal_i2c;
-	if (address_data->normal_i2c_range)
-		normal_i2c_range = address_data->normal_i2c_range;
 	if (address_data->normal_isa)
 		normal_isa = address_data->normal_isa;
 	if (address_data->probe)
@@ -119,13 +116,6 @@
 				if (addr == normal_i2c[i]) {
 					found = 1;
 					dev_dbg(&adapter->dev, "found normal i2c entry for adapter %d, addr %02x", adapter_id, addr);
-				}
-			}
-			for (i = 0; !found && (normal_i2c_range[i] != I2C_CLIENT_END); i += 2) {
-				if ((addr >= normal_i2c_range[i]) &&
-				    (addr <= normal_i2c_range[i + 1])) {
-					dev_dbg(&adapter->dev, "found normal i2c_range entry for adapter %d, addr %04x\n", adapter_id, addr);
-					found = 1;
 				}
 			}
 		}
diff -Nru a/include/linux/i2c-sensor.h b/include/linux/i2c-sensor.h
--- a/include/linux/i2c-sensor.h	2004-11-08 18:54:49 -08:00
+++ b/include/linux/i2c-sensor.h	2004-11-08 18:54:49 -08:00
@@ -42,10 +42,6 @@
 /* A structure containing the detect information.
    normal_i2c: filled in by the module writer. Terminated by I2C_CLIENT_ISA_END.
      A list of I2C addresses which should normally be examined.
-   normal_i2c_range: filled in by the module writer. Terminated by 
-     I2C_CLIENT_ISA_END
-     A list of pairs of I2C addresses, each pair being an inclusive range of
-     addresses which should normally be examined.
    normal_isa: filled in by the module writer. Terminated by SENSORS_ISA_END.
      A list of ISA addresses which should normally be examined.
    probe: insmod parameter. Initialize this list with I2C_CLIENT_ISA_END values.
@@ -62,7 +58,6 @@
 */
 struct i2c_address_data {
 	unsigned short *normal_i2c;
-	unsigned short *normal_i2c_range;
 	unsigned int *normal_isa;
 	unsigned short *probe;
 	unsigned short *ignore;
@@ -83,7 +78,6 @@
                       "List of adapter,address pairs not to scan"); \
 	static struct i2c_address_data addr_data = {			\
 			.normal_i2c =		normal_i2c,		\
-			.normal_i2c_range =	normal_i2c_range,	\
 			.normal_isa =		normal_isa,		\
 			.probe =		probe,			\
 			.ignore =		ignore,			\
